{% extends 'base_admin.html.twig' %}

{% block body %}

    <title>Event index</title>

    <h1 class="h1-categories-admin">Statistiques</h1>
    
    <canvas id="pieTypeBet" width="400" height="130"></canvas>

    <canvas id="pieIsPublicBet" width="400" height="130"></canvas>

    <canvas id="pieBetStatus" width="400" height="130"></canvas>

    <canvas id="linearGraphBetPerDate" width="400" height="150"></canvas>

    <script>
        let pieTypeBet = document.querySelector("#pieTypeBet");
        let chartTypeBet = new Chart(pieTypeBet, {
            type: "pie",
            data: {
                labels: ["Paris normaux", "Paris Premium"],
                datasets: [{
                    label: "Répartition",
                    data: {{ countTypeBets|raw  }},
                    backgroundColor: ["#3cbc42", "gold"]
                }]
            }
        })

        let pieIsPublicBet = document.querySelector("#pieIsPublicBet");
        let chartIsPublicBet = new Chart(pieIsPublicBet, {
            type: "pie",
            data: {
                labels: ["Paris Privés", "Paris Publics"],
                datasets: [{
                    label: "Répartition",
                    data: {{ countIsPublicBet|raw }},
                    backgroundColor: ["#ed0000", "#0cc0f2"]
                }]
            }
        })

        let pieBetStatus = document.querySelector("#pieBetStatus");
        let chartBetStatus = new Chart(pieBetStatus, {
            type: "pie",
            data: {
                labels: ["Paris Validés", "Paris Terminés", "Paris Refusés", "Demande de paris en cours"],
                datasets: [{
                    label: "Répartition",
                    data: {{ countBetStatus|raw }},
                    backgroundColor: ["#3cbc42", "#353434", "#ed0000", "#f29100"]
                }] 
            }
        })

        let linearBetPerDate = document.querySelector("#linearGraphBetPerDate");
        let linearGraph = new Chart(linearBetPerDate, {
            type: "line",
            data: {
                labels: {{ betDates|raw }},
                datasets: [{
                    label: "Nombre de paris créés",
                    data: {{ betCountPerDate|raw }},
                    backgroundColor: ["#00ba72"]
                }]
            }
        })
    </script>
{% endblock %}